.posts {
	display: grid;
	grid-auto-rows: 180px;
	grid-gap: 25px;
	grid-template-areas:
        "feature-one feature-two"
        "feature-one feature-three";
}

.posts .post:first-child {
	grid-area: feature-one;
}

.posts .post:nth-child(2) {
	grid-area: feature-two;

}

.posts .post:nth-child(3) {
	grid-area: feature-three;
}

.posts .post {
	position: relative;
	overflow: hidden;
	border: 2px solid #797979;
	border-radius: 10px;
}

.posts .post .post__thumb img {
	min-height: 100%;
    min-width: 100%;
	object-fit: cover;
	object-position: center center;
	transform: scale(1.05);
	transition: transform 0.3s ease;
}

.posts .post:hover .post__thumb img {
	transform: scale(1.1);
}

.posts .post .post__header,
.posts .post .post__thumb {
	height: 100%;
	display: block;
	position: relative;
}

.posts .post .post__thumb::after {
	content: '';
	display: block;
	position: absolute;
	background-color: rgba(0, 0, 0, 0.2);
	height: 100%;
	width: 100%;
	top: 0;
	left: 0;
	right: 0;
	bottom: 0;
}

.posts .post:first-child .post__header,
.posts .post:first-child .post__thumb {
	width: 100%;
}

.posts .post:first-child .post__body {
	position: absolute;
	bottom: 0;
	padding: 25px;
	height: 100%;
	width: 100%;
	display: flex;
	flex-direction: column;
	justify-content: flex-end;
}

.posts .post .post__body .post__title {
	overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
}


.posts .post:first-child .post__body .post__title {
	color: #fff;
	text-transform: uppercase;
	font-size: 1.3em;
	font-weight: 500;
	line-height: 1.3em;
	margin-bottom: 5px;
}

.posts .post:first-child .post__body .post__date {
	color: #fff;
	font-size: 0.9em;
	font-weight: 500;
	line-height: 1.5em;
}


.posts .post:not(:first-child) .post__header {
	display: flex;
}

.posts .post:not(:first-child) .post__thumb {
	width: 45%;
	height: calc(100% + 4px);
	margin-top: -2px;
	margin-left: -2px;
	overflow: hidden;
	border: 2px solid #797979;
	border-radius: 0 10px 10px 0;
}

.posts .post:not(:first-child) .post__body {
	flex: 1;
	background-color: #f1f1f1;
	padding: 30px;
	display: flex;
	flex-direction: column;
	justify-content: space-between;
}

.posts .post:not(:first-child) .post__body .post__title {
	color: #005120;
	font-size: 1.1em;
	font-weight: 600;
	line-height: 1.3em;
	margin-bottom: 5px;
}

.posts .post:not(:first-child) .post__body .post__date {
	color: #797979;
	font-size: 0.9em;
	font-weight: 500;
	line-height: 1.5em;
}

@media (max-width: 1199.98px) {
	.posts {
		grid-auto-rows: 160px;
		grid-gap: 20px;
	}

	.posts .post:first-child .post__body {
		padding: 20px;
	}

	.posts .post:not(:first-child) .post__body {
		padding: 30px;
	}
}

@media (max-width: 991.98px) {
	.posts {
		grid-auto-rows: 120px;
		grid-gap: 15px;
	}
	
	.posts .post:first-child .post__body {
		padding: 15px;
	}

	.posts .post:not(:first-child) .post__body {
		padding: 15px;
	}
}

@media (max-width: 776.98px) {
	.posts {
		grid-auto-rows: 130px;
		grid-gap: 15px;
		grid-template-areas:
			"feature-one"
			"feature-one"
			"feature-two"
			"feature-three";
	}
	
	.posts .post:first-child .post__body {
		padding: 15px;
	}

	.posts .post:not(:first-child) .post__body {
		padding: 10px 15px;
	}
	.posts .post:not(:first-child) .post__thumb {
		width: 40%;
	}
	.posts .post:not(:first-child) .post__body .post__title {
		font-size: 1.1em;
	}
	.posts .post {
		border-radius: 7px;
	}
	.posts .post:not(:first-child) .post__thumb {
		border-radius: 0 7px 7px 0;
	}
}

#single_post .feature-image {
	overflow: hidden;
	border-radius: 10px;
	margin-bottom: 20px;
}

#single_post .feature-image img {
	display: block;
}

#single_post h1,
#single_post h2,
#single_post h3 {
	margin: 0 0 0.35em;
}

#single_post h1 {
  font-size: 40px;
}

#single_post h2 {
  font-size: 28px;
}

#single_post h3 {
  font-size: 20px;
}

#single_post p {
	margin: 0 0 1.15em;
	line-height: 1.5em;
}

#single_post p + h2 {
	margin-top: 1.5em;
}

#single_post .post-content {
	font-size: #212529;
}

#single_post .post-content a {
	color: #00F158;
}

#single_post .text-muted  {
	font-size: 0.9em;
	color: #a5a5a5;
}

.btn.text-muted {
	margin-bottom: 15px;
	display: block;
}

.post_actions {
	margin: 20px 0 30px 0;
}

.post_comments {
	margin-bottom: 30px;
}

.post_actions .share {
	margin-top: 15px;
}

.post_actions .share a {
	font-size: 1.5em;
	display: inline-block;
	margin-left: 5px;
}

.post_actions .share .fab.fa-linkedin {
	color: #0072b1;
}

.post_actions .share .fab.fa-facebook-square {
	color: #4267B2;
}

.post_actions .share .fab.fa-twitter {
	color: #1DA1F2;
}

.comment-user {
	font-size: 1.1em;
	margin-bottom: 5px;
	color: #005120;
	font-weight: 600;
}
.comment-date {
	font-size: 0.8em;
    color: #aaaaaa;
	font-weight: 300;
}

.post_comments .panel .panel-body header {
	flex-direction: column;
	align-items: flex-start;
	padding: 25px 0 15px 0;
}

@media (max-width: 767.98px) {
	#single_post h1 {
		font-size: 28px;
	  }

	  #single_post h2 {
		font-size: 24px;
	}
}
